--- title: "getJobs" slug: "security-websecuritychecker-getjobs" tags: ["Web Security Checker"] updated: 2026-10-22T10:47:53Z published: 2026-10-22T10:47:53Z canonical: "api-gov.ncloud-docs.com/security-websecuritychecker-getjobs" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-gov.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getJobs Classic/VPC 환경에서 이용 가능합니다. 네이버 클라우드 플랫폼 콘솔에서 사용자가 등록한 진단 리스트를 조회하여 결과를 출력합니다. ## 요청 요청 형식을 설명합니다. 요청 형식은 다음과 같습니다. | 메서드 | URI | | --- | --- | | GET | /api/v1/jobs | ### 요청 헤더 Web Security Checker API에서 공통으로 사용하는 헤더에 대한 정보는 [Web Security Checker 요청 헤더](/docs/security-websecuritychecker#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)를 참조해 주십시오. ### 요청 쿼리 파라미터 요청 쿼리 파라미터에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `limit` | Integer | Required | 리스트 한 페이지당 출력 항목 수 | | `page` | Integer | Required | 리스트의 페이지 번호 | ### 요청 예시 요청 예시는 다음과 같습니다. ``` curl --location --request GET 'https://wsc.apigw.gov-ntruss.com/api/v1/jobs?limit=10&page=1' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## 응답 응답 형식을 설명합니다. ### 응답 바디 응답 바디에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `total_cnt` | Integer | - | 총 작업 레코드 수 | | `total_page_cnt` | Integer | - | 마지막 페이지 | | `current_start_page` | Integer | - | 시작 페이지 번호(10개 단위) | | `current_end_page` | Integer | - | 마지막 페이지 번호(10개 단위) | | `record_data` | Array | - | 진단 목록: [record_data](/docs/security-websecuritychecker-getjobs#record_data) | #### `record_data` `record_data`에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `instanceNo` | Integer | - | 진단 작업의 식별 번호 | | `start_date` | Date | - | 진단 작업의 시작 시간 | | `end_date` | Date | - | 진단 작업의 종료 시간 | | `status` | String | - | 진단 작업 상태 | | `progress` | Integer | - | 진단 진행률 | | `start_url` | String | - | 진단 작업 대상 URL | | `crawl_cnt` | Integer | - | 크롤링 URL 수집 개수 | | `scan_cnt` | Integer | - | 취약점 개수 | | `memo` | String | - | 작업 메모 | | `result_button` | String | - | 작업 상태 - `report` \| `cancel` \| `terminate` \| `expired` \| `cause` - `report`: 리포트 출력 가능 상태 - `cancel`: 작업 취소 상태 - `terminate`: 작업 중지 상태 - `expired`: 기간 만료 - `cause`: 작업 진행 중 오류 발생 | | `result_desc` | String | - | 작업 결과 상세 설명 - 작업 오류 시 상세 출력 | | `rescan_button` | String | - | 재진단 가능 상태 - `possible` \| `expired` \| `null` - `possible`: 재진단 가능 - `expired`: 기간 만료로 재진단 불가 - `null`: 재진단 불가 | | `slave_data` | Array | - | 재진단 목록 | ### 응답 상태 코드 Web Security Checker API에서 공통으로 사용하는 응답 상태 코드에 대한 정보는 [Web Security Checker 응답 상태 코드](/docs/security-websecuritychecker#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C)를 참조해 주십시오. ### 응답 예시 응답 예시는 다음과 같습니다. - 조회 완료: 조회 정보가 있는 경우 ``` { "returnCode": "0", "returnDesc": "Request Success", "returnMessage": "Success", "resources": { "total_cnt": 1, "total_page_cnt": 1, "current_start_page": 1, "current_end_page": 1, "record_data": [ { "instanceNo": "1234567890", "start_date": "2024-07-08 13:12:03", "end_date": "2024-07-08 13:15:10", "status": "진단 완료", "progress": null, "start_url": "http://your-domain", "crawl_cnt": "1", "scan_cnt": "1", "memo": "샘플", "result_button": "report", "result_desc": "", "rescan_button": "possible", "slave_data": null } ] } } ``` - 조회 완료: 조회 정보가 없는 경우 ``` { "returnCode": "0", "returnDesc": "Request Success", "returnMessage": "Success", "resources": { "total_cnt": 0, "total_page_cnt": 0, "current_start_page": 0, "current_end_page": 0, "record_data": null } } ``` ## 샘플 코드 make_signature 함수로 시그니처를 생성하여 요청 헤드를 생성한 후 입력한 요청 파라미터에 따라 진단 리스트를 조회하여 응답 코드가 200인 경우 결과를 출력하는 샘플 코드는 다음과 같습니다. ``` import sys import os import hashlib import hmac import base64 import requests import time def make_signature(method, uri, timestamp): access_key = "{accessKey}" # access key id (from portal or sub account) secret_key = "{secretKey}" # secret key (from portal or sub account) secret_key = bytes(secret_key, 'UTF-8') method = method uri = uri message = method + " " + uri + "\n" + timestamp + "\n" + access_key message = bytes(message, 'UTF-8') signingKey = base64.b64encode(hmac.new(secret_key, message, digestmod=hashlib.sha256).digest()) return signingKey timestamp = str(int(time.time() * 1000)) method = 'GET' uri = '/api/v1/jobs?page=1&limit=10' signature = make_signature(method, uri, timestamp) headers = { 'x-ncp-apigw-signature-v2': signature.decode('utf-8'), 'x-ncp-apigw-timestamp': timestamp, 'x-ncp-iam-access-key': '{accessKey}', # access key id (from portal or sub account) 'Content-Type': 'application/json' } response = requests.request( method, f"https://wsc.apigw.gov-ntruss.com{uri}", headers=headers ) if response.status_code == 200: print(response.text) ``` 참고 샘플 코드는 Python3를 기반으로 작성했습니다. Java, Node.js 등 다른 언어로 작성한 샘플 코드는 API Gateway 사용 가이드의 [API 호출](https://guide-gov.ncloud-docs.com/beta/docs/api-gateway-myproducts#API%ED%98%B8%EC%B6%9C)을 참조해 주십시오.